[arch-commits] Commit in python-xattr/repos (2 files)
Evangelos Foutras
foutrelis at archlinux.org
Mon Nov 9 18:15:57 UTC 2020
Date: Monday, November 9, 2020 @ 18:15:57
Author: foutrelis
Revision: 747912
archrelease: copy trunk to community-staging-x86_64
Added:
python-xattr/repos/community-staging-x86_64/
python-xattr/repos/community-staging-x86_64/PKGBUILD
(from rev 747911, python-xattr/trunk/PKGBUILD)
----------+
PKGBUILD | 33 +++++++++++++++++++++++++++++++++
1 file changed, 33 insertions(+)
Copied: python-xattr/repos/community-staging-x86_64/PKGBUILD (from rev 747911, python-xattr/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2020-11-09 18:15:57 UTC (rev 747912)
@@ -0,0 +1,33 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-xattr
+pkgver=0.9.7
+pkgrel=3
+pkgdesc='Python wrapper for extended filesystem attributes'
+arch=('x86_64')
+license=('MIT')
+url='https://github.com/xattr/xattr'
+depends=('python-cffi' 'python-setuptools')
+makedepends=('python-setuptools' 'python-cffi')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/xattr/xattr/archive/v$pkgver.tar.gz")
+sha512sums=('4d94e929057a39c0f332e24aee1c2883580c71df94c9041313d4af2f11885803ab2c007546d5510ed647abcc70804e2fbaecf38f84d0a8457129c1336e5c8874')
+
+build() {
+ cd "$srcdir"/xattr-$pkgver
+ python setup.py build
+}
+
+check() { (
+ # Build env doesn't have permission for those xattrs
+ cd "$srcdir"/xattr-$pkgver
+ python setup.py test
+ ) || echo "Tests failed"
+}
+
+package() {
+ cd xattr-$pkgver
+ python setup.py install --root="$pkgdir" --optimize=1
+ install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}
+
+# vim:set ts=2 sw=2 et:
More information about the arch-commits
mailing list